Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:           f-spot
Version:        0.4.0
Release:        1
Summary:        Photo management application

Group:          Multimedia
License:        GPL
URL:            http://www.gnome.org/projects/f-spot/
Source0:        f-spot-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch3: 	f-spot-0.3.5-screensaver.patch

BuildRequires:  mono-core-devel mono-web mono-data mono-data-sqlite lcms-devel
BuildRequires:  libexif-devel libgphoto2-devel >= 2.1.4 
BuildRequires:  gtk-sharp-devel libgnome-devel libgnomeui-devel
BuildRequires:  gtk2+-devel libjpeg-devel sqlite-devel >= 3.3.1
BuildRequires:  gnome-sharp-devel
BuildRequires:  gettext
BuildRequires:  dbus-sharp-devel
BuildRequires:  autoconf
BuildRequires:  perl(XML::Parser)
BuildRequires:  gnome-doc-utils
Requires:       sqlite >= 3.3.1
Requires:       lcms
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

# Mono only available on these: (s390x disabled for now)
ExclusiveArch: %ix86 x86_64

%description
F-Spot is an application designed to provide personal photo management
to the GNOME desktop. Features include import, export, printing and advanced
sorting of digital images. 

%prep
%setup -q
%patch3 -p1 -b .screensaver

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure --disable-scrollkeeper
make %{?_smp_mflags}


%install
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/%{name}/*.a
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/*.la
rm $RPM_BUILD_ROOT%{_libdir}/pkgconfig/f-spot.pc

chmod a+x $RPM_BUILD_ROOT%{_libdir}/%{name}/*.exe
chmod a+x $RPM_BUILD_ROOT%{_libdir}/%{name}/*.dll

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS
%{_datadir}/applications/*.desktop
%{_datadir}/gnome/help/f-spot
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.svg
%{_datadir}/f-spot
%{_libdir}/f-spot
%{_bindir}/f-spot
%{_bindir}/f-spot-import
%{_bindir}/f-spot-sqlite-upgrade
%{_libdir}/gnome-screensaver/gnome-screensaver/f-spot-screensaver
%{_datadir}/applications/screensavers/f-spot-screensaver.desktop
%{_datadir}/omf/f-spot


%changelog
* Mon Dec 03 2007 Christian Metzen <metzench@ccux-linux.de> 0.4.0-1
- Initial release